/*
  Motor Controller BV4603 1.2A, BV4604 1.4A
  Copyright (c) 2013 Jim Spence.  All right reserved.
  www.byvac.com - see terms and conditions for using hardware
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/  

// Version 1.0 r 2013

#ifndef _H_bv4603_4_h
#define _H_bv4603_4_h

#include "Arduino.h"
#include "Wire.h"

class MOTOR : public TwoWire
{
    public:
        // non-device specific
        MOTOR(char address);
        void eeWrite(char address, char value);
        void GlobalPower(char power);
        void DC1(int power, char direction);
        void DC2(int power, char direction);
        void DC3(int power1, char dir1, int power2, char dir2);
        long StepsToGo();
        void Steps(long steps, int speed, char direction);
        void Stop();
    private:
        char _i2adr;
        int i2_16bit();
};


#endif